import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { Service } from '@s-ui/domain';
export var SetWorkPercentageTaskService = /*#__PURE__*/function (_Service) {
  _inheritsLoose(SetWorkPercentageTaskService, _Service);
  function SetWorkPercentageTaskService(_ref) {
    var _this;
    var config = _ref.config,
      taskRepository = _ref.taskRepository;
    _this = _Service.call(this) || this;
    _this._config = config;
    _this._taskRepository = taskRepository;
    return _this;
  }
  var _proto = SetWorkPercentageTaskService.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      taskId = _ref2.taskId,
      workId = _ref2.workId,
      percentage = _ref2.percentage;
    var work = this._taskRepository.getWork(taskId, workId);
    work._percentage.set(percentage);
    return this._taskRepository.updateWork(work);
  };
  return SetWorkPercentageTaskService;
}(Service);