import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { UseCase } from '@s-ui/domain';
export var SetWorkPercentageTaskUseCase = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(SetWorkPercentageTaskUseCase, _UseCase);
  function SetWorkPercentageTaskUseCase(_ref) {
    var _this;
    var config = _ref.config,
      setWorkPercentageTaskServiceFactory = _ref.setWorkPercentageTaskServiceFactory;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._setWorkPercentageTaskServiceFactory = setWorkPercentageTaskServiceFactory;
    return _this;
  }
  var _proto = SetWorkPercentageTaskUseCase.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      localState = _ref2.localState,
      taskId = _ref2.taskId,
      workId = _ref2.workId,
      percentage = _ref2.percentage;
    var result = this._setWorkPercentageTaskServiceFactory({
      config: this._config,
      localState: localState
    }).execute({
      taskId: taskId,
      workId: workId,
      percentage: percentage
    });
    return result;
  };
  return SetWorkPercentageTaskUseCase;
}(UseCase);