import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { ValueObject } from '@s-ui/domain';
export var IdSharedValueObject = /*#__PURE__*/function (_ValueObject) {
  _inheritsLoose(IdSharedValueObject, _ValueObject);
  function IdSharedValueObject() {
    return _ValueObject.apply(this, arguments) || this;
  }
  var _proto = IdSharedValueObject.prototype;
  _proto.get = function get() {
    return this._id;
  };
  _proto.set = function set(id) {
    this._id = id;
  };
  IdSharedValueObject.generateId = function generateId() {
    return ([1e7] + -1e3 + -4e3 + -8e3 + -1e11).replace(/[018]/g, function (c) {
      return (c ^ crypto.getRandomValues(new Uint8Array(1))[0] & 15 >> c / 4).toString(16);
    });
  };
  _proto.toJSON = function toJSON() {
    return this._id;
  };
  return IdSharedValueObject;
}(ValueObject);