import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
var _dec, _class;
import { streamify } from '@s-ui/decorators';
import { Service } from '@s-ui/domain';
export var RunSimpleTaskService = (_dec = streamify('execute'), _dec(_class = /*#__PURE__*/function (_Service) {
  _inheritsLoose(RunSimpleTaskService, _Service);
  function RunSimpleTaskService(_ref) {
    var _this;
    var config = _ref.config,
      taskEntityFactory = _ref.taskEntityFactory,
      taskRepository = _ref.taskRepository;
    _this = _Service.call(this) || this;
    _this._config = config;
    _this._taskEntityFactory = taskEntityFactory;
    _this._taskRepository = taskRepository;
    return _this;
  }
  var _proto = RunSimpleTaskService.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      name = _ref2.name,
      onComplete = _ref2.onComplete,
      onError = _ref2.onError,
      start = _ref2.start;
    var work = {
      config: this._config,
      name: name,
      onComplete: onComplete,
      onError: onError,
      start: start
    };
    var task = this._taskEntityFactory({
      config: this._config,
      name: name,
      work: [work]
    });
    return this._taskRepository.saveTask(task);
  };
  return RunSimpleTaskService;
}(Service)) || _class);