import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { UseCase } from '@s-ui/domain';
export var ProcessQueuedTaskUseCase = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(ProcessQueuedTaskUseCase, _UseCase);
  function ProcessQueuedTaskUseCase(_ref) {
    var _this;
    var config = _ref.config,
      processQueuedTaskServiceFactory = _ref.processQueuedTaskServiceFactory;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._processQueuedTaskServiceFactory = processQueuedTaskServiceFactory;
    return _this;
  }
  var _proto = ProcessQueuedTaskUseCase.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      localState = _ref2.localState;
    var result = this._processQueuedTaskServiceFactory({
      config: this._config,
      localState: localState
    }).execute();
    return result;
  };
  return ProcessQueuedTaskUseCase;
}(UseCase);