import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { UseCase } from '@s-ui/domain';
export var RunSimpleTaskUseCase = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(RunSimpleTaskUseCase, _UseCase);
  function RunSimpleTaskUseCase(_ref) {
    var _this;
    var config = _ref.config,
      runSimpleTaskServiceFactory = _ref.runSimpleTaskServiceFactory;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._runSimpleTaskServiceFactory = runSimpleTaskServiceFactory;
    return _this;
  }
  var _proto = RunSimpleTaskUseCase.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      localState = _ref2.localState,
      name = _ref2.name,
      onComplete = _ref2.onComplete,
      onError = _ref2.onError,
      start = _ref2.start;
    var result = this._runSimpleTaskServiceFactory({
      config: this._config,
      localState: localState
    }).execute({
      name: name,
      onComplete: onComplete,
      onError: onError,
      start: start
    });
    return result;
  };
  return RunSimpleTaskUseCase;
}(UseCase);