import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import { UseCase } from '@s-ui/domain';
export var RunTaskUseCase = /*#__PURE__*/function (_UseCase) {
  _inheritsLoose(RunTaskUseCase, _UseCase);
  function RunTaskUseCase(_ref) {
    var _this;
    var config = _ref.config,
      runTaskServiceFactory = _ref.runTaskServiceFactory;
    _this = _UseCase.call(this) || this;
    _this._config = config;
    _this._runTaskServiceFactory = runTaskServiceFactory;
    return _this;
  }
  var _proto = RunTaskUseCase.prototype;
  _proto.execute = function execute(_temp) {
    var _ref2 = _temp === void 0 ? {} : _temp,
      localState = _ref2.localState,
      name = _ref2.name,
      work = _ref2.work;
    var result = this._runTaskServiceFactory({
      config: this._config,
      localState: localState
    }).execute({
      name: name,
      work: work
    });
    return result;
  };
  return RunTaskUseCase;
}(UseCase);